Subject: Re: [bug#31307] [PATCH] Add MAT, the Metadata Anonymisation Toolkit from Boum

From: Chris Marusich <[email-masked]>
Date: Thu, 05 Jul 2018 01:29:16 -0700

[email-masked] (Ludovic Courtès) writes:

> Hello,
>
> Leo Famulari <[email-masked]> skribis:
>
>> I see two different issues here:
>>
>> 1) The project is unmaintained (last release 2016) and the underlying
>> platform (Python 2) will become unmaintained in January 2020.
>>
>> I think these maintenance issues are not a blocker in this case. We
>> package lots of software that has been basically abandoned for longer
>> than MAT. Its source repo saw activity in March. On this subject, we
>> should think about building from HEAD since those new commits will
>> probably never be "released".
>>
>> 2) The software is not guaranteed to achieve its goals.
>>
>> I think the idea of "anonymizing" a file is always going to be
>> manifested as a goal rather than a full solution. No matter the level of
>> upstream maintenance, anonymity can never be guaranteed.
>>
>> So, I think it's okay to add the package with a big warning in the
>> description, maybe even saying something scary like "only recommended
>> for educational and research activity".
>
> Sounds reasonable to me.
>
> Chris, what would you like to do with this package?

If we can resolve the issue with the tests and add a warning to the
package description, I'd be OK with adding it.  However, the tests
currently error out or fail, even though the package builds
successfully.  That's concerning, and I don't feel comfortable adding
the package, even with a warning, until it's been addressed.

I don't have a lot of time to work on this right now.  I will eventually
get around to it, but if somebody wants MAT sooner, please feel free to
take over and do it before I get around to it.

-- 
Chris